Apple computers compatible with Ustream Broadcaster for Mac

Ustream Broadcaster for Mac can be used on the following Apple computers running OS X 10.10 or later:

  • iMac (Mid-2007 or later)

  • MacBook (13" Late 2008 Aluminum, Early 2009 or later)

  • MacBook Pro (13" Mid-2009 or later)

  • MacBook Pro (15" Mid/Late 2007 or later)

  • MacBook Pro (17" Late 2007 or later)

  • MacBook Air (Late 2008 or later)

  • Mac mini (Early 2009 or later)

  • Mac Pro (Early 2008 or later)

  • Xserve (Early 2009)

For HD broadcast we recommend using Mac models built after 2011.

Powered by Zendesk